Phone Numbers
List phone numbers
Get WhatsApp numbers in your project, most recent first.
GET
/
whatsapp
/
phone_numbers
List phone numbers
curl --request GET \
--url https://api.kapso.ai/platform/v1/whatsapp/phone_numbers \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.kapso.ai/platform/v1/whatsapp/phone_numbers"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.kapso.ai/platform/v1/whatsapp/phone_numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1234567890",
"internal_id": "4a5b6c7d-8e9f-0a1b-2c3d-4e5f6a7b8c9d",
"phone_number_id": "1234567890",
"name": "Support Line",
"business_account_id": "98765432109",
"is_coexistence": false,
"inbound_processing_enabled": true,
"calls_enabled": false,
"webhook_verified_at": "2025-01-14T15:10:00Z",
"created_at": "2025-01-14T15:00:00Z",
"updated_at": "2025-01-14T15:10:00Z",
"display_name": "Support Line",
"display_phone_number": "+1 555-123-4567",
"display_phone_number_normalized": "15551234567",
"verified_name": "Acme Corp",
"quality_rating": "GREEN",
"throughput_tier": "TIER_10K",
"whatsapp_business_manager_messaging_limit": "10000",
"customer_id": "3f2e1d0c-9b8a-7f6e-5d4c-3b2a1f0e9d8c",
"code_verification_status": "COMPLETED",
"name_status": "APPROVED",
"status": "CONNECTED",
"is_official_business_account": false,
"is_pin_enabled": true
}
],
"meta": {
"page": 1,
"per_page": 20,
"total_pages": 1,
"total_count": 1
}
}{
"error": "<string>"
}Authorizations
Query Parameters
Filter by Meta phone number ID
Filter by WABA ID
Required range:
x >= 1Required range:
x >= 1Was this page helpful?
Previous
Connect phone numberConnect a WhatsApp number to this customer using Meta credentials.
Get credentials from Meta's App Dashboard after completing embedded signup or manual setup.
Next
⌘I
List phone numbers

